Bug 1847968 (OCPRHV-198) - OCPRHV-198: [DOCS]: installer do not require sudo command
Summary: OCPRHV-198: [DOCS]: installer do not require sudo command
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: OCPRHV-198
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Rolfe Dlugy-Hegwer
QA Contact: Jan Zmeskal
URL:
Whiteboard:
Depends On: 1814172 1820492
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-17 13:05 UTC by Douglas Schilling Landgraf
Modified: 2020-10-09 15:47 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-09 15:47:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Douglas Schilling Landgraf 2020-06-17 13:05:07 UTC
Description of problem:

From:
https://docs.openshift.com/container-platform/4.4/installing/installing_rhv/installing-rhv-default.html

$ sudo ./openshift-install create cluster --dir=<installation_directory> \ 
    --log-level=info 


The installer do not require to elevate privileges to work.

Expected result:

Remove sudo from the statement.

$./openshift-install create cluster --dir=<installation_directory> \ 
    --log-level=info

Comment 1 Rolfe Dlugy-Hegwer 2020-06-17 13:22:33 UTC
This contradicts Bug #1814172 - [ovirt] Cannot run openshift-install as a non-root user (In Verified state for 4.5)
https://bugzilla.redhat.com/show_bug.cgi?id=1814172

Comment 3 Douglas Schilling Landgraf 2020-06-17 14:21:16 UTC
(In reply to Rolfe Dlugy-Hegwer from comment #1)
> This contradicts Bug #1814172 - [ovirt] Cannot run openshift-install as a
> non-root user (In Verified state for 4.5)
> https://bugzilla.redhat.com/show_bug.cgi?id=1814172

What exactly contradicts? It

Comment 4 Douglas Schilling Landgraf 2020-06-17 14:21:49 UTC
It says the BZ is verified. :)

Comment 5 Sandro Bonazzola 2020-06-18 06:44:09 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 6 Douglas Schilling Landgraf 2020-07-09 12:10:04 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 8 Sandro Bonazzola 2020-09-14 09:27:29 UTC
Same as in comment #5 and #6

Comment 9 Jan Zmeskal 2020-09-16 11:49:33 UTC
Verified by reviewing associated PR.


Note You need to log in before you can comment on or make changes to this bug.